>From 6af6cbd07863d9b83a10641f55ed024d25c052ed Mon Sep 17 00:00:00 2001
From: Tomas Vondra <tomas@pgaddict.com>
Date: Tue, 23 Jun 2015 18:03:28 +0200
Subject: [PATCH 03/24] Add RELKIND_COLUMN_STORE to pg_class.h

Column stores are going to have separate pg_class (and pg_attribute)
entries, which are going to be marked with this relkind.

(Also, they are going to have nonzero pg_class.relam, pointing to the
column store access method in use)
---
 src/include/catalog/pg_class.h | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/include/catalog/pg_class.h b/src/include/catalog/pg_class.h
index e526cd9..83bf8f3 100644
--- a/src/include/catalog/pg_class.h
+++ b/src/include/catalog/pg_class.h
@@ -158,6 +158,7 @@ DESCR("");
 #define		  RELKIND_COMPOSITE_TYPE  'c'		/* composite type */
 #define		  RELKIND_FOREIGN_TABLE   'f'		/* foreign table */
 #define		  RELKIND_MATVIEW		  'm'		/* materialized view */
+#define		  RELKIND_COLUMN_STORE	  'C'		/* columnar store */
 
 #define		  RELPERSISTENCE_PERMANENT	'p'		/* regular table */
 #define		  RELPERSISTENCE_UNLOGGED	'u'		/* unlogged permanent table */
-- 
2.1.4

